//
//  XTHtmlTagH2.m
//  TadsTerp
//
//  Created by Rune Berg on 12/04/14.
//  Copyright (c) 2014 Rune Berg. All rights reserved.
//

#import "XTHtmlTagH2.h"
#import "XTOutputFormatterProtocol.h"


@implementation XTHtmlTagH2

+ (NSString *)name
{
	return @"h2";
}

+ (NSArray *)allowedAttributes
{
	return @[];
}

+ (BOOL)standalone
{
	return NO;
}

+ (BOOL)blockLevel
{
	return YES;
}

+ (BOOL)blockLevelSpacing
{
	return YES;
}

- (NSArray *)dispatchToFormatter:(NSObject<XTOutputFormatterProtocol> *)formatter
{
	return [formatter handleHtmlTagH2:self];
}

@end
